Make GIF videos for user stories of the features
Open, LowPublic

Description

About:
We release features without clearly communicating correct, clear, and engaging user stories that help targeted audience and wider community members understand and engage with the feature, and help tailor it based on their needs.

Requirement:
Make a 1min video, ideally a light GIF, that tells quick user stories of why we do what we do. This should be shared within the community and to wider audience (social media) to help us talk to targeted users, and broad audience

To Do:
Moushira should develop story boards of the video and coordinate with PM and Comms.

Update: This will move to the audience dev new person, when hired.

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
DuplicateNone
DuplicateNone
DuplicateQgil
ResolvedElitre
ResolvedElitre
DeclinedNone
OpenNone
OpenNone
InvalidKeegan
DeclinedKeegan
DeclinedNone
StalledNone
ResolvedQuiddity
OpenKeegan
OpenKeegan
OpenNone
Moushira updated the task description. (Show Details)
Moushira raised the priority of this task from to Needs Triage.
Moushira claimed this task.
Moushira moved this task to ToDo on the Reading-Community-Engagement board.
Moushira added subscribers: Moushira, Jbarbara.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 16 2015, 10:01 PM
Moushira renamed this task from Make GIF videos for feature user stories to Make GIF videos for user stories of the features.Dec 16 2015, 10:01 PM
Moushira set Security to None.

What's the reason for "ideally" animated GIFs instead of videos?

@Aklapper, GIF is more lightweight, this helps easier sharing and embedding. Maybe we can produce 2 versions; a video and a GIF, and use as found relevant. Lets see!

Do you have suggestions?

Moushira triaged this task as Normal priority.Jan 25 2016, 6:35 PM
Qgil added a subscriber: Qgil.Apr 26 2016, 6:31 AM

@Moushira, this task is assigned to you since last December. Do you plan to work on it during this quarter, or the next one?

Moushira changed the task status from Open to Stalled.Apr 27 2016, 10:28 AM

Makes sense to resume working on this when comms appoint the audience dev. It would be their responsibility.

Moushira removed Moushira as the assignee of this task.Apr 27 2016, 10:52 AM
Moushira closed this task as Resolved.Jun 13 2016, 5:54 PM
Moushira updated the task description. (Show Details)
Moushira moved this task from ToDo to Done on the Reading-Community-Engagement board.
Moushira moved this task from Done to ToDo on the Reading-Community-Engagement board.
Qgil reopened this task as Open.Jun 14 2016, 11:35 AM
Qgil lowered the priority of this task from Normal to Low.
Qgil added a subscriber: MelodyKramer.EditedAug 9 2016, 11:11 AM

Hi @MelodyKramer , before your role was filled by you :) we were discussing that this task could be something interesting to think about.

hi @Qgil - this sounds good.

Let's talk about it in our intro meeting in two weeks. I added it to the agenda - I'd love to get a sense of what topics you'd like to cover. I'd also like to chat with @Moushira about vision, content, and prioritization of potential stories (how many, what timeline, how to find out about new features, etc.) after that meeting.

Mel

One more question: how are we socializing these stories once they're created? i.e. what are the current methods for alerting the community to changes, and then how does the community find out if they miss the initial push (and come to the site, let's say, three weeks from now?)

@MelodyKramer your questions should be answered at https://www.mediawiki.org/wiki/Technical_Collaboration_Guideline/Milestone_communication#Proposals -- which is a recommendation being reviewed during the upcoming quarter.

I will mark this task as a blocker of T144625: First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers, so we can take this proposal as input for that recommendation.

Qgil added a subscriber: Keegan.Oct 4 2016, 1:27 PM

This task welcomes an owner. @Moushira and @Keegan are the obvious candidates.

After speaking with @Moushira and @Keegan, both think that producing videos describing new features is a responsibility more for WMF-Communications than for Community-Liaisons. What do you think? And how to push this task forward (or out)?

After speaking with @Moushira and @Keegan, both think that producing videos describing new features is a responsibility more for WMF-Communications than for Community-Liaisons. What do you think? And how to push this task forward (or out)?

I'm not on the Comms team any more, but I would 100% agree that this is something more suited to that team than the CLs. I imagine @jeffelder, the most obvious person to be interested in this, is probably more easily reachable by email.

What about having some resources to do those GIFs/videos? I bed anyone would like to be able to do that:

  • as a CL writing user documentation I may need to create a GIFs to illustrate a precise behavior
  • as a CL dealing with communities I may need to create a GIFs to facilitate the understanding of a feature
  • as a community member, I may need to have short dynamic illustration that will help newbies.

Comms have certainly some resources about that, but I would prefer to give a way for anyone to do these videos.

jrbs added a comment.Nov 2 2016, 8:02 PM

What about having some resources to do those GIFs/videos? I bed anyone would like to be able to do that:

  • as a CL writing user documentation I may need to create a GIFs to illustrate a precise behavior
  • as a CL dealing with communities I may need to create a GIFs to facilitate the understanding of a feature
  • as a community member, I may need to have short dynamic illustration that will help newbies. Comms have certainly some resources about that, but I would prefer to give a way for anyone to do these videos.

Good points! I still think it's within Comms' remit to create some "best practices" or tutorials for this.

Qgil added a comment.Nov 2 2016, 9:09 PM

Well, true, actually a gif screencast can be done by anyone, starting with the own dev team. Since there is no audio, producing something decent shouldn't be complicated. A bit of guidance and documentation would make things even easier.

An example that I just came across with, that illustrates well the point:


(view in full size at F4584506 )

Trizek-WMF added a comment.EditedNov 3 2016, 9:35 AM

I have no idea of how to do such a GIF.
Have suggested tools (that work for everyone, all OSs) and how-to would be great!

I've always used Licecap, which is a free/open source program that allows anyone to create images from screenshots:

http://www.cockos.com/licecap/

It's what I used when I wrote a tutorial for using git/github at my old gig. (Scroll down to see the gifs.)

I'm happy to write up a how-to. Where would be the best spot to put it?

Trizek-WMF added a comment.EditedNov 3 2016, 4:29 PM

I've always used Licecap, which is a free/open source program that allows anyone to create images from screenshots:

http://www.cockos.com/licecap/

It's what I used when I wrote a tutorial for using git/github at my old gig. (Scroll down to see the gifs.)

I'm happy to write up a how-to. Where would be the best spot to put it?

Wonderful!

I would said on a sub-page of https://www.mediawiki.org/wiki/Project:PD_help, the project which gathers people who write documentation.